Skip to main content
DELETE
/
mobile_push_credentials
/
{push_credential_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.mobilePushCredentials.delete('0ccc7b76-4df3-4bca-a05a-3da1ecc389f0');
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.mobile_push_credentials.delete(
"0ccc7b76-4df3-4bca-a05a-3da1ecc389f0",
)
package main

import (
"context"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.MobilePushCredentials.Delete(context.TODO(), "0ccc7b76-4df3-4bca-a05a-3da1ecc389f0")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.mobilepushcredentials.MobilePushCredentialDeleteParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

client.mobilePushCredentials().delete("0ccc7b76-4df3-4bca-a05a-3da1ecc389f0");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

result = telnyx.mobile_push_credentials.delete("0ccc7b76-4df3-4bca-a05a-3da1ecc389f0")

puts(result)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$result = $client->mobilePushCredentials->delete(
'0ccc7b76-4df3-4bca-a05a-3da1ecc389f0'
);

var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx mobile-push-credentials delete \
--api-key 'My API Key' \
--push-credential-id 0ccc7b76-4df3-4bca-a05a-3da1ecc389f0
curl --request DELETE \
--url https://api.telnyx.com/v2/mobile_push_credentials/{push_credential_id} \
--header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "code": "10015",
      "title": "Bad Request",
      "detail": "has already been taken",
      "source": {
        "pointer": "/mobile_push_credentials",
        "parameter": "application_name"
      },
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10015"
      }
    }
  ]
}
{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "has already been taken",
"source": {
"pointer": "/mobile_push_credentials",
"parameter": "application_name"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}
{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "has already been taken",
"source": {
"pointer": "/mobile_push_credentials",
"parameter": "application_name"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

push_credential_id
string<uuid>
required

The unique identifier of a mobile push credential

Example:

"0ccc7b76-4df3-4bca-a05a-3da1ecc389f0"

Response

The mobile push credential was deleted successfully